import React, { useEffect, useState } from 'react'
import * as THREE from 'three';
import MaterialAnimator from '../animator/materialAnimator'

function MaterialInstance({ material }: { material: MaterialSchema }) {
    const [position, setPosition] = useState<THREE.Vector3>();
    const [rotation, setRotation] = useState<THREE.Vector3>();

    useEffect(() => {
        // console.log('material: ', material);
    }, [material])

    return (
        <>

            <MaterialAnimator />

        </>
    )
}

export default MaterialInstance